%global _hardened_build 1

Name: jo
Version: 1.4
Release: 1%{?dist}
Summary: JSON output from a shell
Group: Applications/Text
License: GPLv2
URL: http://jpmens.net/2016/03/05/a-shell-command-to-create-json-jo/
Source0: https://github.com/jpmens/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: gcc


%description
jo creates a JSON string on stdout from words given it as arguments or read
from stdin. Without option -a it generates an object whereby each word is a
key=value (or key@value) pair with key being the JSON object element and value
its value. jo attempts to guess the type of value in order to create number
(using strtod(3)), string, or null values in JSON.

jo treats key@value specifically as boolean JSON elements: if the value begins
with T, t, or the numeric value is greater than zero, the result is true, else
false. A missing or empty value behind the colon results in a null JSON
element.

jo creates an array instead of an object when -a is specified.


%package bash-completion
Summary: Bash tab-completion scripts for %{name}
Group: Applications/System
Requires: bash-completion %{name}


%description bash-completion
Provides bash tab-completion scripts for %{name}


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%check
make check


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
%make_install


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc AUTHORS README ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%files bash-completion
%{_sysconfdir}/bash_completion.d/%{name}.bash


%changelog
* Thu Oct 29 2020 Philippe Kueck <projects@unixadm.org> - 1.4-1
- new upstream version

* Wed Nov 20 2019 Philippe Kueck <projects@unixadm.org> - 1.3-2
- new upstream version
- package bash-completion file

* Fri May 10 2019 Philippe Kueck <projects@unixadm.org> - 1.2-1
- new upstream version

* Fri May 18 2018 Philippe Kueck <projects@unixadm.org> - 1.1-1
- new upstream version

* Mon Jan  2 2017 Philippe Kueck <projects@unixadm.org> - 1.0-1
- initial packaging
